<template>
  <v-container>  
    <v-row class="text-center">
      Longitude: {{ this.longitude}}!
    </v-row>
    <v-row>
      <v-col cols="12" justify="center">
        <plotly :data="data" :layout="layout" :display-mode-bar="false" />
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { Plotly } from 'vue-plotly'

export default {
  components: {
    Plotly
  },
  sockets: {
    onmessage (event) {
      // console.log(event)
      const payload = JSON.parse(event.data)
      if (payload.message_type === 'vehicle_state') {
        let longitude = payload.message.longitude
        let radius = payload.message.radius
        this.data[0].x = this.data[0].x.concat(longitude)
        this.data[0].y = this.data[0].y.concat(radius)
        this.longitude = longitude
      }
      if (payload.message_type === 'flight_profile') {
        this.data[1].x = payload.message.longitude
        this.data[1].y = payload.message.radius
      }
    }
  },
  data() {
    return {
      longitude: 0,
      data:[{
        x: [],
        y: [],
        type: 'scatter',
        line: {
          width: 3
        }
      },
      {
        x: [],
        y: [],
        type: 'scatter',
        line: {
          dash: 'dot'
        }
      }],
      layout:{
        title: "Position",
        xaxis: { range: [-50, -5] },
        yaxis: { range: [202810, 212000] }
      }
    }
  }
}
</script>